    import {NonceAccount} from '@solana/web3'

public class | source

# NonceAccount

NonceAccount class

## Static Method Summary

Static Public Methods
public static | fromAccountData(buffer: Buffer | Uint8Array | Array<number>): NonceAccount Deserialize NonceAccount from the account data. |

## Member Summary

Public Members
public | authorizedPubkey: PublicKey |
public | feeCalculator: FeeCalculator |
public | nonce: Blockhash |

## Static Public Methods

### public static fromAccountData(buffer: Buffer | Uint8Array | Array<number>): NonceAccount source

Deserialize NonceAccount from the account data.

#### Params:

Name | Type | Attribute | Description
buffer | Buffer | Uint8Array | Array<number> |  | account data

#### Return:

NonceAccount | NonceAccount

## Public Members

### public authorizedPubkey: PublicKey source

### public feeCalculator: FeeCalculator source

### public nonce: Blockhash source